<?php 
require_once "conexionLocal_p.php"; 

$transaccion = $_POST["transaccion"];

function ejecutarTransaccion($transaccion){
	if ($transaccion=="getHardware") { 
		try{
			$midb = conexionLocalSQLite3();
			$midb->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
			$results = $midb->prepare('SELECT * FROM tablaConfiguracion'); 
			$results->setFetchMode(PDO::FETCH_ASSOC);
			$results->execute();
			while($fila = $results->fetch()){
				$firmware = $fila['firmware_contador']; 
				$placa = $fila['placa'];
			}
		}catch(PDOException $e) {
    	echo "Lo siento hay un error en BD..  ". $e->getMessage() ;// Remove or modify after testing 
    	file_put_contents('PDOErrors.txt',date('[Y-m-d H:i:s]').", controlador.php, ". $e->getMessage()."\r\n", FILE_APPEND);  
 	}
 	$results = null;
	$midb = null;
	return printf($firmware."&".$placa);
	}

	//Función que envia los permisos del usuario
	if ($transaccion=="permisosUsuario"){
		//echo "permisosUsuario";
		try{
			$midb = conexionLocalSQLite3();
			$midb->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
			$results = $midb->prepare("SELECT * FROM usuarios WHERE tipo ='1'"); 
			$results->setFetchMode(PDO::FETCH_ASSOC);
			$results->execute();
			
			if($results){
				while($fila = $results->fetch()){
					$permisos = $fila['permisos'];
					$nombre = $fila['nombre'];
					$clave = $fila['clave'];
					$bloqueo = $fila['bloqueo'];
				}
			}

			$results = $midb->prepare("SELECT * FROM usuarios WHERE tipo ='2'"); 
			$results->setFetchMode(PDO::FETCH_ASSOC);
			$results->execute();
			
			if($results){
				while($fila = $results->fetch()){
					$nombre_r = $fila['nombre'];
					$clave_r = $fila['clave'];
				}
			}
			//Cierra la conexión con la base de datos
			$results = null;
			$midb = null;
			//echo json_encode($matriz);
		    printf("OK,".$permisos.",".$nombre.",".$clave.",".$nombre_r.",".$clave_r.",".$bloqueo);
		    return;
		}catch(PDOException $e) {
	    	echo "Lo siento hay un error en BD..  ". $e->getMessage() ;// Remove or modify after testing 
	    	file_put_contents('PDOErrors.txt',date('[Y-m-d H:i:s]').", modelo.php, ". $e->getMessage()."\r\n", FILE_APPEND);  
	 	}
	 	printf("ERROR");
	}

}

ejecutarTransaccion($transaccion);
 ?>